% cent3: Cost function for optimization of impulse responses.
% f=cent3(c,N,k2,P,Vsvd1,Vtilde)
%
% cent3: this function computes the cost function J_{t} defined in Jerome
% Gauthier's PhD thesis.
% This function is used in FB_optim_impul.
%
% See also FB_OPTIM_IMPUL, CENT7.
%
% Input:        c, Vtilde,Vsvd1 (array of double/complex), N, P (int), k2
%               (double)
% Optional:     
% Output:       f (double)
% Uses:         
% Used in:      FB_optim_impul
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
