% cent5: Cost function used for FB optimization
% f=cent5(c,N,k2,P,Vsvd1,Vtilde,Mask)
%
% cent5: this function computes the cost function J_{f} defined in Jerome
% Gauthier's PhD thesis.
% This function is used in FB_optim_freq.
%
% See also: FB_OPTIM_FREQ
% 
% Input:        c, Vtilde (vector), N, P (integers), k2 (double), 
%               Vsvd1, Mask (matrices)
% Optional:     
% Output        f (double)
% Uses:         
% Used in:      FB_optim_freq
% Comments:
% Notes:
% Created:      2007/01/24
% Modified:     
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
