% gradOptim: Gradient used for optimization of impulse responses.
% g=gradOptim(Cc,Mcur,Vsvd1c,N,k2,P)
%
% gradOptim: this function computes the gradient for the cost function J_{t}
% defined in Jerome Gauthier's PhD thesis.
% This function is used in FB_optim_grad.
%
% See also FB_OPTIM_GRAD, CENT7.
%
% Input:        Cc, Mcur,Vsvd1c (array of double/complex), N, P (int), k2
%               (double)
% Optional:     
% Output:       g (array of double/complex)
% Uses:         
% Used in:      FB_OPTIM_GRAD
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
