% cent7: Cost function for optimization of impulse responses.
% f=cent7(Cn2,N,k2,P,Vsvd1c,Mcur)
%
% cent7: this function computes the cost function J_{t} defined in Jerome
% Gauthier's PhD thesis.
% This function is used in FB_optim_grad.
%
% See also FB_OPTIM_GRAD, GRADOPTIM, CENT3.
%
% Input:        Cn2, Mcur, Vsvd1c (array of double/complex), N, P (int), k2
%               (double)
% Optional:     
% Output:       f (double)
% Uses:         
% Used in:      FB_optim_grad
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
