% cent8: Cost function for optimization of impulse responses in symmetric case.
% f=cent8(c,N,k2,P,Vsvd1,Vtilde,Pcr)
%
% cent8: this function computes the cost function J_{ts} defined in Jerome
% Gauthier's PhD thesis.
% This function is used in FB_optim_impul_sym.
%
% See also FB_OPTIM_IMPUL_SYM.
%
% Input:        c, Vtilde,Vsvd1,Pcr (array of double/complex), N, P (int),
%               k2 (double)
% Optional:     
% Output:       f (double)
% Uses:         
% Used in:      FB_optim_impul_sym
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
