% cent9: Cost function for optimization of frequency responses in symmetric case.
% f=cent9(c,N,k2,P,Vsvd1,Vtilde,Pcr,Mask)
%
% cent9: this function computes the cost function J_{fs} defined in Jerome
% Gauthier's PhD thesis.
% This function is used in FB_optim_freq_sym.
%
% See also FB_OPTIM_FREQ_SYM.
%
% Input:        c, Vtilde, Vsvd1, Pcr, Mask (array of double/complex), 
%               N, P (int), k2 (double)
% Optional:     
% Output:       f (double)
% Uses:         
% Used in:      FB_optim_freq_sym
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
